import { createInfisicalClient } from "utils";

export let PROXY_SECRET: string;

/**
 * Initialize the secrets from Infisical
 */
export async function initSecrets(token: string) {
  console.log("Initializing secrets...");

  const infisicalClient = createInfisicalClient(token);
  const proxySecret = (await infisicalClient.getSecret("PROXY_SECRET"))
    .secretValue;

  if (!proxySecret) {
    throw new Error("PROXY_SECRET not set in Infisical");
  }

  PROXY_SECRET = proxySecret;
}
